Package cx.ath.matthew.cgi

# Class Field

java.lang.Object
cx.ath.matthew.cgi.Field

Direct Known Subclasses:
  `CheckBox`, `DisplayField`, `DropDown`, `HiddenField`, `NewTable`, `Password`, `Radio`, `SubmitButton`, `TextArea`, `TextField`

public abstract class Field extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`label`
`protected String`
`name`

## Constructor Summary

Constructors
Constructor
Description
`Field()`

## Method Summary

Modifier and Type
Method
Description
`protected abstract String`
`print()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### name

protected String name

### label

protected String label

## Constructor Details

### Field

public Field()

## Method Details

### print

protected abstract String print()